/* base64.cc 06/02/2003 11.06.18 */
/* button.cc 15/06/2004 13.18.00 */
PROTECTED FIELD_BUTTON::FIELD_BUTTON (const char *_str,
	 const char *_icon,
	 const char *_help,
	 PRIVATE_MESSAGE&_msg,
	 bool enter_action,
	 DIALOG *_dia);
PUBLIC FIELD_BUTTON::~FIELD_BUTTON (void);
PUBLIC MENU_STATUS FIELD_BUTTON::dokey (WINDOW *,
	 int key,
	 FIELD_MSG&,
	 bool&);
PUBLIC void FIELD_BUTTON::set_registry_value (const char *);
PUBLIC const char *FIELD_BUTTON::get_registry_value (void);
PUBLIC void FIELD_BUTTON::drawtxt (WINDOW *win, int , int , int);
PUBLIC void FIELD_BUTTON::save (void);
PUBLIC void FIELD_BUTTON::restore (void);
PUBLIC void FIELD_BUTTON::reload (const char *, int);
PUBLIC void FIELD_BUTTON::html_draw (int);
PUBLIC void FIELD_BUTTON::xul_draw (int , SSTRINGS&);
PUBLIC MENU_STATUS FIELD_BUTTON::gui_get (int nof,
	 const char *,
	 const char *actionid);
PUBLIC char FIELD_BUTTON::getidprefix (void);
PUBLIC int FIELD_BUTTON::html_validate (int);
PUBLIC void FIELD_BUTTON::gui_draw (int nof, SSTRINGS&);
PROTECTED void FIELD_BUTTON::sendval (const char *val);
PUBLIC FIELD_BUTTON_TEXT::FIELD_BUTTON_TEXT (const char *_str,
	 const char *_help,
	 PRIVATE_MESSAGE&_msg,
	 bool enter_action,
	 DIALOG *_dia);
PUBLIC void FIELD_BUTTON_TEXT::settext (const char *_str);
PUBLIC FIELD_BUTTON_TEXT *DIALOG::new_button (const char *str,
	 const char *help,
	 PRIVATE_MESSAGE&msg,
	 bool enter_action);
PUBLIC FIELD_BUTTON_TEXT *DIALOG::new_button (const char *str,
	 const char *help,
	 PRIVATE_MESSAGE&msg);
PUBLIC FIELD_BUTTON_ICON::FIELD_BUTTON_ICON (const char *_icon,
	 const char *_help,
	 PRIVATE_MESSAGE&_msg,
	 bool enter_action,
	 DIALOG *_dia);
PUBLIC void FIELD_BUTTON_ICON::seticon (const char *_icon);
PUBLIC FIELD_BUTTON_ICON *DIALOG::new_button_icon (const char *icon,
	 const char *help,
	 PRIVATE_MESSAGE&msg);
PUBLIC FIELD_INPUTGRID::FIELD_INPUTGRID (int _x,
	 int _y,
	 int _cellwidth,
	 int _cellheight,
	 int _nbcellh,
	 int _nbcellv,
	 PRIVATE_MESSAGE&_msg,
	 DIALOG *_dia);
PUBLIC void FIELD_INPUTGRID::gui_draw (int nof, SSTRINGS&);
PUBLIC void DIALOG::new_inputgrid (int x,
	 int y,
	 int cellwidth,
	 int cellheight,
	 int nbcellh,
	 int nbcellv,
	 PRIVATE_MESSAGE&msg);
/* buttongif.cc 18/09/2000 17.52.44 */
/* buttons.cc 23/10/2003 00.32.48 */
PUBLIC int BUTTONS_INFO::evalwidth (void);
PUBLIC BUTTONS_INFO::BUTTONS_INFO (void);
PUBLIC BUTTONS_INFO::~BUTTONS_INFO (void);
PUBLIC void BUTTONS_INFO::setbutinfo (int id,
	 const char *title,
	 const char *icon);
PUBLIC void BUTTONS_INFO::delbutinfo (void);
PUBLIC void BUTTONS_INFO::set (int _but_options, HELP_FILE&_helpfile);
PUBLIC void BUTTONS_INFO::addhelp (HELP_FILE&help, const char *title);
PUBLIC void BUTTONS_INFO::delhelps (void);
PUBLIC void BUTTONS_INFO::setup (int _y, int width);
PUBLIC void BUTTONS_INFO::setcursor (WINDOW *dialog, int button);
PUBLIC void BUTTONS_INFO::draw (WINDOW *dialog, int button);
PUBLIC void BUTTONS_INFO::gui_draw (bool onside);
PUBLIC void BUTTONS_INFO::help (WINDOW *win);
PUBLIC MENU_STATUS BUTTONS_INFO::dokey (WINDOW *dialog,
	 int key,
	 int &selected,
	 int other_focus);
PUBLIC MENU_STATUS BUTTONS_INFO::bid2status (int id);
/* checkbox.cc 03/05/2004 12.37.10 */
PUBLIC void FIELD_CHECK_BASE::xul_draw (int , SSTRINGS&);
PUBLIC FIELD_CHECK_BASE::FIELD_CHECK_BASE (const char *_prompt,
	 char &_var);
PUBLIC void FIELD_CHECK_BASE::draw_helpdia (WINDOW *dialog, int nof);
PUBLIC void FIELD_CHECK_BASE::set_registry_value (const char *v);
PUBLIC const char *FIELD_CHECK_BASE::get_registry_value (void);
PUBLIC FIELD_CHECK_RADIO::FIELD_CHECK_RADIO (const char *_prompt,
	 char &_var,
	 const char *_title);
PUBLIC FIELD_CHECK_RADIO::~FIELD_CHECK_RADIO (void);
PUBLIC const char *FIELD_CHECK_RADIO::return_prompt (void);
PUBLIC void FIELD_CHECK_RADIO::restore (void);
PUBLIC void FIELD_CHECK_RADIO::reload (const char *dianame, int nof);
PUBLIC void FIELD_CHECK_RADIO::save (void);
PUBLIC void FIELD_CHECK_RADIO::setcursor (WINDOW *dialog, int);
PUBLIC void FIELD_CHECK_RADIO::drawtxt_check (WINDOW *dialog,
	 char openchar,
	 char closechar,
	 char selchar);
PUBLIC void FIELD_CHECK_RADIO::format_htmlkey (char *key, int nof);
PUBLIC FIELD_CHECK::FIELD_CHECK (const char *_prompt,
	 char &_var,
	 const char *_title);
PUBLIC void FIELD_CHECK::drawtxt (WINDOW *dialog, int , int , int);
PUBLIC void FIELD_CHECK::html_draw (int nof);
PUBLIC void FIELD_CHECK::gui_draw (int nof, SSTRINGS&);
PUBLIC MENU_STATUS FIELD_CHECK::gui_get (int nof,
	 const char *,
	 const char *);
PUBLIC char FIELD_CHECK::getidprefix (void);
PUBLIC int FIELD_CHECK::html_validate (int nof);
PUBLIC MENU_STATUS FIELD_CHECK::dokey (WINDOW *dialog,
	 int key,
	 FIELD_MSG&,
	 bool&);
PUBLIC FIELD_CHECK *DIALOG::newf_chk (const char *prompt,
	 char &var,
	 const char *title);
PUBLIC FIELD_CHECK_BOOL::FIELD_CHECK_BOOL (const char *_prompt,
	 bool&_var,
	 const char *_title);
PUBLIC void FIELD_CHECK_BOOL::restore (void);
PUBLIC void FIELD_CHECK_BOOL::save (void);
PUBLIC void FIELD_CHECK_BOOL::reload (const char *dianame, int nof);
PUBLIC FIELD_CHECK *DIALOG::newf_chk (const char *prompt,
	 bool&var,
	 const char *title);
PUBLIC FIELD_CHECK_MULTI::FIELD_CHECK_MULTI (const char *_prompt,
	 char &_var,
	 const char *_options[]);
PUBLIC void FIELD_CHECK_MULTI::drawtxt (WINDOW *dialog,
	 int ,
	 int ,
	 int);
PUBLIC void FIELD_CHECK_MULTI::save (void);
PUBLIC void FIELD_CHECK_MULTI::restore (void);
PUBLIC void FIELD_CHECK_MULTI::reload (const char *dianame, int nof);
PUBLIC void FIELD_CHECK_MULTI::html_draw (int nof);
PUBLIC void FIELD_CHECK_MULTI::gui_draw (int nof, SSTRINGS&);
PUBLIC MENU_STATUS FIELD_CHECK_MULTI::gui_get (int nof,
	 const char *,
	 const char *);
PUBLIC char FIELD_CHECK_MULTI::getidprefix (void);
PUBLIC int FIELD_CHECK_MULTI::html_validate (int nof);
PUBLIC MENU_STATUS FIELD_CHECK_MULTI::dokey (WINDOW *dialog,
	 int key,
	 FIELD_MSG&,
	 bool&);
PUBLIC FIELD_CHECK_MULTI *DIALOG::newf_chkm (const char *prompt,
	 char &var,
	 const char *title[]);
PUBLIC FIELD_CHECK_MULTI_COL::FIELD_CHECK_MULTI_COL (const char *_prompt,
	 char &_var,
	 const char *_options[]);
PUBLIC int FIELD_CHECK_MULTI_COL::getwidths (int tb[], int &);
PUBLIC void FIELD_CHECK_MULTI_COL::setwidths (int max_width, int tb[]);
PUBLIC void FIELD_CHECK_MULTI_COL::gui_draw (int nof, SSTRINGS&);
PUBLIC void FIELD_CHECK_MULTI_COL::html_draw (int nof);
PUBLIC void FIELD_CHECK_MULTI_COL::drawtxt (WINDOW *dialog,
	 int ,
	 int ,
	 int);
PUBLIC FIELD_CHECK_MULTI *DIALOG::newf_chkm_col (const char *prompt,
	 char &var,
	 const char *title[]);
/* checklist1.cc 26/09/1996 13.54.12 */
/* checklist.cc 30/09/1996 10.50.30 */
/* chkmval.cc 03/05/2004 12.37.26 */
PUBLIC FIELD_CHECK_MULTI_VAL::FIELD_CHECK_MULTI_VAL (const char *_prompt,
	 int &_var,
	 const int _defvar,
	 const int _vals[],
	 const char *_options[],
	 bool _hexmode);
PRIVATE int FIELD_CHECK_MULTI_VAL::getcurval (void)const;
PUBLIC void FIELD_CHECK_MULTI_VAL::save (void);
PUBLIC void FIELD_CHECK_MULTI_VAL::restore (void);
PUBLIC void FIELD_CHECK_MULTI_VAL::reload (const char *dianame,
	 int nof);
PUBLIC void FIELD_CHECK_MULTI_VAL::set_registry_value (const char *value);
PUBLIC const char *FIELD_CHECK_MULTI_VAL::get_registry_value (void);
PUBLIC void FIELD_CHECK_MULTI_VAL::drawtxt (WINDOW *dialog,
	 int offset,
	 int start_line,
	 int end_line);
PUBLIC void FIELD_CHECK_MULTI_VAL::setcursor (WINDOW *dialog,
	 int offset);
PUBLIC MENU_STATUS FIELD_CHECK_MULTI_VAL::dokey (WINDOW *dialog,
	 int key,
	 FIELD_MSG&,
	 bool&);
PUBLIC void FIELD_CHECK_MULTI_VAL::html_draw (int nof);
PUBLIC int FIELD_CHECK_MULTI_VAL::html_validate (int nof);
PUBLIC void FIELD_CHECK_MULTI_VAL::gui_draw (int nof, SSTRINGS&);
PUBLIC MENU_STATUS FIELD_CHECK_MULTI_VAL::gui_get (int nof,
	 const char *,
	 const char *);
PUBLIC int FIELD_CHECK_MULTI_VAL::post_validate (void);
PUBLIC FIELD_CHECK_MULTI *DIALOG::newf_chkm_num (const char *prompt,
	 int &var,
	 const int vals[],
	 const char *options[]);
PUBLIC FIELD_CHECK_MULTI *DIALOG::newf_chkm_hexnum (const char *prompt,
	 int &var,
	 const int vals[],
	 const char *options[]);
PUBLIC FIELD_CHECK_MULTI *DIALOG::newf_chkm_num (const char *prompt,
	 int &var,
	 const int defvar,
	 const int vals[],
	 const char *options[]);
PUBLIC FIELD_CHECK_MULTI *DIALOG::newf_chkm_hexnum (const char *prompt,
	 int &var,
	 const int defvar,
	 const int vals[],
	 const char *options[]);
/* chkmvals.cc 03/05/2004 12.38.32 */
PUBLIC FIELD_CHECK_MULTI_VAL_STR::FIELD_CHECK_MULTI_VAL_STR (const char *
	_prompt,
	 int &_var,
	 SSTRING&_bufstr,
	 const int _vals[],
	 const char *_options[]);
PUBLIC void FIELD_CHECK_MULTI_VAL_STR::save (void);
PUBLIC void FIELD_CHECK_MULTI_VAL_STR::restore (void);
PUBLIC void FIELD_CHECK_MULTI_VAL_STR::reload (const char *dianame,
	 int nof);
PUBLIC void FIELD_CHECK_MULTI_VAL_STR::drawtxt (WINDOW *dialog,
	 int offset,
	 int start_line,
	 int end_line);
PUBLIC void FIELD_CHECK_MULTI_VAL_STR::setcursor (WINDOW *dialog,
	 int offset);
PUBLIC MENU_STATUS FIELD_CHECK_MULTI_VAL_STR::dokey (WINDOW *dialog,
	 int key,
	 FIELD_MSG&,
	 bool&);
PUBLIC void FIELD_CHECK_MULTI_VAL_STR::html_draw (int nof);
PUBLIC int FIELD_CHECK_MULTI_VAL_STR::html_validate (int nof);
PUBLIC void FIELD_CHECK_MULTI_VAL_STR::gui_draw (int nof, SSTRINGS&);
PUBLIC MENU_STATUS FIELD_CHECK_MULTI_VAL_STR::gui_get (int nof,
	 const char *,
	 const char *);
PUBLIC FIELD_CHECK_MULTI *DIALOG::newf_chkm_str (const char *prompt,
	 int &var,
	 SSTRING&bufstr,
	 const int vals[],
	 const char *options[]);
/* clist.cc 15/06/2004 13.19.12 */
PUBLIC CLIST_ITEM::CLIST_ITEM (int _id,
	 const char *_s,
	 const char *_dcs);
PUBLIC void CLIST_ITEM::setfrom (const char *_s, const char *_dcs);
PUBLIC const char *CLIST_ITEM::get (void)const;
PUBLIC CLIST_ITEM::~CLIST_ITEM (void);
PUBLIC CLIST_ITEM *CLIST_ITEMS::getitem (int no)const;
PUBLIC FIELD_CLIST::FIELD_CLIST (const char *_prompt,
	 int nbvisible,
	 DIALOG *dia,
	 PRIVATE_MESSAGE&_msg,
	 int &sel);
PUBLIC FIELD_CLIST::~FIELD_CLIST (void);
PUBLIC void FIELD_CLIST::setheader (const char *s);
PRIVATE void FIELD_CLIST::update_head (void);
PUBLIC void FIELD_CLIST::addrecord (const char *s);
PUBLIC void FIELD_CLIST::addrecordf (const char *s, ...);
PUBLIC void FIELD_CLIST::vaddrecordf (const char *s, va_list list);
PUBLIC void FIELD_CLIST::insrecord (int pos, const char *s);
PUBLIC void FIELD_CLIST::setnextdcs (const char *dcs);
PUBLIC void FIELD_CLIST::setrecord (int no, const char *s);
PUBLIC void FIELD_CLIST::setrecordf (int pos, const char *s, ...);
PUBLIC void FIELD_CLIST::vsetrecordf (int pos,
	 const char *s,
	 va_list list);
PUBLIC int FIELD_CLIST::getnb (void)const;
PUBLIC const char *FIELD_CLIST::getline (int no)const;
PUBLIC void FIELD_CLIST::remove_last (int n);
PUBLIC void FIELD_CLIST::remove (int n);
PRIVATE void FIELD_CLIST::sendhead (int guicmd, const char *prefix);
PRIVATE void FIELD_CLIST::gui_draw (int nof, SSTRINGS&tb);
PRIVATE void FIELD_CLIST::drawtxt (WINDOW *, int , int , int);
PRIVATE MENU_STATUS FIELD_CLIST::dokey (WINDOW *,
	 int ,
	 FIELD_MSG&,
	 bool&);
PUBLIC void FIELD_CLIST::save (void);
PUBLIC void FIELD_CLIST::restore (void);
PUBLIC void FIELD_CLIST::reload (const char *, int);
PUBLIC void FIELD_CLIST::html_draw (int);
PUBLIC void FIELD_CLIST::xul_draw (int , SSTRINGS&);
PUBLIC MENU_STATUS FIELD_CLIST::gui_get (int no,
	 const char *field_id,
	 const char *actionid);
PUBLIC char FIELD_CLIST::getidprefix (void);
PUBLIC int FIELD_CLIST::html_validate (int);
PUBLIC const char *FIELD_CLIST::get_registry_value (void);
PUBLIC void FIELD_CLIST::set_registry_value (const char *);
PUBLIC void FIELD_CLIST::setcursor (int pos, bool focus);
PUBLIC void FIELD_CLIST::mayclickhead (void);
PUBLIC int FIELD_CLIST::whichcolumn (void);
PUBLIC void FIELD_CLIST::sethsign (const char *hsign);
PUBLIC void FIELD_CLIST::sethsign (int column, const char letter);
PUBLIC void FIELD_CLIST::sethdispo (const char *hdispo);
PUBLIC void FIELD_CLIST::setdcs (const char *dcs);
PUBLIC FIELD_CLIST *DIALOG::newf_clist (const char *prompt,
	 int nbvisible,
	 PRIVATE_MESSAGE&msg,
	 int &sel);
/* cmdsock.cc 11/02/2004 16.53.22 */
PROTECTED void CMDSOCK::baseinit (void);
PRIVATE void CMDSOCK::init (const char *bindaddr,
	 int port,
	 int reuseadr);
PROTECTED CMDSOCK::CMDSOCK (void);
PRIVATE void CMDSOCK_UNIX::initunix (const char *sockn);
PUBLIC CMDSOCK::CMDSOCK (const char *portname, int reuseaddr);
PUBLIC CMDSOCK::CMDSOCK (const char *bindaddr,
	 const char *portname,
	 int reuseaddr);
PUBLIC CMDSOCK::CMDSOCK (int port, int reuseaddr);
PUBLIC CMDSOCK::CMDSOCK (const char *bindaddr,
	 int port,
	 int reuseaddr);
PUBLIC CMDSOCK_UNIX::CMDSOCK_UNIX (const char *sockpath);
PUBLIC CMDSOCK::~CMDSOCK (void);
PUBLIC int CMDSOCK::is_ok (void);
PUBLIC void CMDSOCK::forgetcli (int fd);
PUBLIC void CMDSOCK::closecli (int fd);
PUBLIC void CMDSOCK::addcli (int fd, int timeout);
PUBLIC void CMDSOCK::set_timeout (int fd, int timeout);
PUBLIC void CMDSOCK::addcli (int fd);
PUBLIC int CMDSOCK::setup_select (fd_set&set, int max_handle);
PUBLIC int CMDSOCK::listen (long timeout, int &newclient);
PUBLIC int CMDSOCK::process_select (int sel,
	 fd_set&set,
	 int &newclient,
	 long timeout);
PUBLIC int CMDSOCK::listen (long timeout);
PUBLIC int CMDSOCK::getnbcli (void);
PUBLIC int CMDSOCK::readnext (void *buf,
	 int size,
	 int &cli,
	 bool&is_timeout);
PUBLIC int CMDSOCK::getnbpending (void);
/* def.cc 04/07/2002 15.41.42 */
/* diaetc.cc 03/11/2003 08.42.22 */
/* diagui.cc 25/08/2004 16.35.12 */
PUBLIC const char *DIALOG::setguiname (SSTRING&tmp);
PUBLIC const char *DIALOG::setguibasename (SSTRING&tmp);
PRIVATE void DIALOG::guidelete (void);
PUBLIC void DIALOG::hide (void);
PRIVATE void DIALOG::sendintro (void);
PRIVATE void DIALOG::showgui (int &nof, int but_options);
PRIVATE MENU_STATUS DIALOG::editgui_thread (int &nof, int but_options);
PRIVATE MENU_STATUS DIALOG::editgui (int &nof, int but_options);
PUBLIC void DIALOG::request_dump (void);
PUBLIC MENU_STATUS DIALOG::request_dumpwait (void);
/* dialist.cc 27/06/2002 23.23.20 */
PUBLIC DIALOG_RECORDS::DIALOG_RECORDS (void);
PROTECTED int DIALOG_RECORDS::keymove (WINDOW *dialog,
	 int key,
	 int &nof);
PUBLIC DIALOG_LISTE::DIALOG_LISTE (void);
PUBLIC DIALOG_LISTE::~DIALOG_LISTE (void);
PUBLIC void DIALOG_RECORDS::setkeyformat (HTML_KEY_TYPE key_type);
PUBLIC MENU_STATUS DIALOG_RECORDS::editmenu (const char *title,
	 const char *prompt,
	 HELP_FILE&helpfile,
	 int &sel,
	 int options);
PUBLIC MENU_STATUS DIALOG_LISTE::editmenu (const char *title,
	 const char *prompt,
	 HELP_FILE&helpfile,
	 int &sel,
	 int options);
PUBLIC void DIALOG_LISTE::set_menuitem (int no,
	 const char *prompt1,
	 const char *prompt2);
/* dialog.cc 25/08/2004 16.22.46 */
PUBLIC void DIALOG::save (void);
PUBLIC void DIALOG::restore (void);
PUBLIC void DIALOG::reload (int start, int end);
PUBLIC void DIALOG::reload (void);
PUBLIC void DIALOG::reload (int no);
PUBLIC void DIALOG::set_readonly (void);
PUBLIC void DIALOG::set_lastreadonly (void);
PUBLIC void DIALOG::last_noempty (void);
PUBLIC void DIALOG::set_helpdia (PRIVATE_MESSAGE&msg);
PUBLIC void DIALOG::set_registry_key (const char *key);
PUBLIC void DIALOG::set_guiparms (const char *parms, ...);
PUBLIC void DIALOG::vset_guiparms (const char *parms, va_list list);
PUBLIC void DIALOG::set_formparms (const char *parms, ...);
PUBLIC void DIALOG::vset_formparms (const char *parms, va_list list);
PUBLIC int DIALOG::was_modified (void);
PUBLIC FIELD *DIALOG::getitem (int no);
PUBLIC FIELD_MSG::FIELD_MSG (void);
PUBLIC void DIALOG::seticon (const char *_icon);
PUBLIC void DIALOG::setbutinfo (int id,
	 const char *title,
	 const char *icon);
PUBLIC void DIALOG::html_body (const char *ctl, ...);
PUBLIC void DIALOG::vhtml_body (const char *ctl, va_list list);
PUBLIC void DIALOG::html_intro (const char *ctl, ...);
PUBLIC void DIALOG::vhtml_intro (const char *ctl, va_list list);
PUBLIC void DIALOG::html_top (const char *ctl, ...);
PUBLIC void DIALOG::vhtml_top (const char *ctl, va_list list);
PUBLIC void DIALOG::html_end (const char *ctl, ...);
PUBLIC void DIALOG::vhtml_end (const char *ctl, va_list list);
PUBLIC void DIALOG::set_alt_title (const char *_title);
PUBLIC void DIALOG::setsidetitle (const char *ctl, ...);
PUBLIC void DIALOG::vsetsidetitle (const char *ctl, va_list list);
PUBLIC void DIALOG::setheight_hint (void);
PUBLIC void DIALOG::addhelp (HELP_FILE&help, const char *title);
PUBLIC void DIALOG::delhelps (void);
PUBLIC void DIALOG::waitfor (const char *msg);
PUBLIC void DIALOG::waitfor (PRIVATE_MESSAGE&msg);
PUBLIC void DIALOG::waitfortimer (const char *id);
PUBLIC void DIALOG::waitfortimer (PRIVATE_MESSAGE&priv);
PUBLIC void DIALOG::settype (DIALOG_TYPE type);
/* _dict.cc 14/08/1996 16.09.34 */
/* fcombo.cc 03/05/2004 12.39.06 */
PUBLIC ELM_STR::ELM_STR (const char *_value,
	 const char *_shown,
	 const char *_verbose);
PUBLIC ELM_STR::~ELM_STR (void);
PUBLIC ELM_STR *LIST_STR::getitem (int no)const;
PUBLIC const char *LIST_STR::getshown (int no)const;
PUBLIC FIELD_COMBO::FIELD_COMBO (const char *_prompt,
	 SSTRING&_str,
	 int maxsiz);
PUBLIC FIELD_LIST::FIELD_LIST (const char *_prompt, SSTRING&_str);
PUBLIC FIELD_COMBO::~FIELD_COMBO (void);
PUBLIC void FIELD_COMBO::addopt (const char *str);
PUBLIC void FIELD_COMBO::addopts (const SSTRINGS&lst);
PUBLIC void FIELD_COMBO::addopt (const char *value,
	 const char *verbose);
PUBLIC void FIELD_LIST::addopt (const char *value,
	 const char *verbose);
PUBLIC void FIELD_LIST::addopt (const char *str);
PUBLIC void FIELD_LIST::addopt (const char *value,
	 const char *shown,
	 const char *verbose);
PUBLIC void FIELD_COMBO::addopts (const SSTRING_KEYS&lst);
PROTECTED void FIELD_COMBO::assist (WINDOW *dialog);
PUBLIC void FIELD_COMBO::html_draw (int nof);
PUBLIC void FIELD_COMBO::gui_draw (int nof, SSTRINGS&);
PUBLIC MENU_STATUS FIELD_COMBO::gui_get (int nof,
	 const char *,
	 const char *);
PUBLIC char FIELD_COMBO::getidprefix (void);
PUBLIC int FIELD_COMBO::html_validate (int nof);
PUBLIC FIELD_COMBO *DIALOG::newf_combo (const char *prompt,
	 SSTRING&str,
	 int maxsiz);
PUBLIC FIELD_COMBO *DIALOG::newf_combo (const char *prompt,
	 SSTRING&str);
PUBLIC FIELD_LIST *DIALOG::newf_list (const char *prompt,
	 SSTRING&str);
PUBLIC VIRTUAL int FIELD_LIST::post_validate (void);
PUBLIC void FIELD_LIST::save (void);
PUBLIC MENU_STATUS FIELD_LIST::dokey (WINDOW *dialog,
	 int ,
	 FIELD_MSG&,
	 bool&);
PUBLIC FIELD_ENUM::FIELD_ENUM (const char *_prompt, int &_sel);
PUBLIC void FIELD_ENUM::restore (void);
PUBLIC void FIELD_ENUM::reload (const char *dianame, int nof);
PUBLIC void FIELD_ENUM::save (void);
PUBLIC void FIELD_ENUM::addopt (const char *str);
PUBLIC void FIELD_ENUM::addopt (const char *value,
	 const char *verbose);
PUBLIC FIELD_ENUM *DIALOG::newf_enum (const char *prompt, int &sel);
/* fcombom.cc 06/04/2004 17.41.10 */
PUBLIC ELM_STR_V::ELM_STR_V (const char *_str, char &_selected);
PUBLIC FIELD_COMBO_MANY::FIELD_COMBO_MANY (const char *_prompt,
	 SSTRING&_str);
PUBLIC void FIELD_COMBO_MANY::addopt (const char *str, char &selected);
PROTECTED void FIELD_COMBO_MANY::assist (WINDOW *dialog);
PUBLIC FIELD_COMBO_MANY *DIALOG::newf_combo_many (const char *prompt,
	 SSTRING&str);
/* fhtml.cc 16/04/2004 13.56.08 */
PUBLIC FIELD_HTML::FIELD_HTML (const char *prompt,
	 int _cols,
	 int _rows,
	 const char *content,
	 const char *path);
PUBLIC FIELD_HTML::FIELD_HTML (const char *prompt,
	 int _cols,
	 int _rows,
	 const SSTRINGS&_lines);
PRIVATE void FIELD_HTML::drawtxt (WINDOW *, int , int , int);
PRIVATE MENU_STATUS FIELD_HTML::dokey (WINDOW *,
	 int ,
	 FIELD_MSG&,
	 bool&);
PRIVATE void FIELD_HTML::save (void);
PRIVATE void FIELD_HTML::restore (void);
PRIVATE void FIELD_HTML::reload (const char *, int);
PRIVATE void FIELD_HTML::html_draw (int);
PRIVATE void FIELD_HTML::xul_draw (int , SSTRINGS&);
PRIVATE MENU_STATUS FIELD_HTML::gui_get (int ,
	 const char *,
	 const char *);
PRIVATE char FIELD_HTML::getidprefix (void);
PRIVATE int FIELD_HTML::html_validate (int);
PRIVATE const char *FIELD_HTML::get_registry_value (void);
PRIVATE void FIELD_HTML::set_registry_value (const char *);
PRIVATE void FIELD_HTML::gui_draw (int no, SSTRINGS&);
PUBLIC FIELD_HTML *DIALOG::newf_html (const char *prompt,
	 const char *content,
	 int cols,
	 int rows);
PUBLIC FIELD_HTML *DIALOG::newf_html (const char *prompt,
	 int cols,
	 int rows,
	 const SSTRINGS&lines);
PUBLIC FIELD_HTML *DIALOG::newf_file_html (const char *prompt,
	 int cols,
	 int rows,
	 const char *path);
/* field.cc 15/06/2004 13.24.10 */
PUBLIC FIELD::FIELD (const char *_prompt);
PUBLIC void FIELD::set_guiparms (const char *_parms);
PUBLIC void FIELD::set_guipath (const char *_path);
PUBLIC VIRTUAL FIELD::~FIELD (void);
PUBLIC void FIELD::set_helpdia (PRIVATE_MESSAGE&_msg);
PUBLIC VIRTUAL void FIELD::popup_draw (int , int &);
PUBLIC VIRTUAL int FIELD::getnotepadlevel (void)const;
PUBLIC VIRTUAL void FIELD::set_noempty (void);
PUBLIC VIRTUAL void FIELD::set_selectable (bool _may_select);
PUBLIC VIRTUAL bool FIELD::is_selectable (void);
PUBLIC VIRTUAL bool FIELD::is_passthrough (void);
PUBLIC VIRTUAL int FIELD::post_validate (void);
PUBLIC bool FIELD::is_readonly (void);
PUBLIC void FIELD::set_readonly (void);
PROTECTED VIRTUAL void FIELD::processmsg (WINDOW *, FIELD_MSG&, int);
PROTECTED VIRTUAL int FIELD::getwidths (int [], int &);
PROTECTED VIRTUAL void FIELD::setwidths (int , int []);
PUBLIC VIRTUAL const char *FIELD::getmenustr (void)const;
PUBLIC VIRTUAL const char *FIELD::getmenuicon (void)const;
PUBLIC VIRTUAL void FIELD::format_htmlkey (char *key, int nof);
PRIVATE void FIELD_STRING_BASE::init (int maxsiz);
PROTECTED FIELD_STRING_BASE::FIELD_STRING_BASE (const char *_prompt,
	 const char *_str,
	 int maxsiz);
PROTECTED FIELD_STRING_BASE::FIELD_STRING_BASE (const char *_prompt,
	 int maxsiz);
PUBLIC FIELD_STRING_BASE::~FIELD_STRING_BASE (void);
PUBLIC bool FIELD_STRING_BASE::is_empty (void);
PUBLIC int FIELD_STRING_BASE::post_validate (void);
PUBLIC FIELD_STRING::FIELD_STRING (const char *_prompt,
	 char *_str,
	 int _maxsiz,
	 bool _mayreload);
PUBLIC FIELD_STRING::~FIELD_STRING (void);
PUBLIC FIELD_PASSWORD::FIELD_PASSWORD (const char *_prompt,
	 SSTRING&_str);
PUBLIC void FIELD_STRING::save (void);
PUBLIC void FIELD_STRING::restore (void);
PROTECTED const char *FIELD::formatpath (char tmp[1000],
	 const char *diapath);
PROTECTED void FIELD::sendval (const char *dianame,
	 int nof,
	 char type,
	 const char *val);
PROTECTED void FIELD::sendval (const char *dianame,
	 int nof,
	 char type,
	 int val);
PUBLIC void FIELD_STRING::reload (const char *dianame, int nof);
PUBLIC void FIELD_STRING_BASE::drawtxt (WINDOW *dialog,
	 int ,
	 int ,
	 int);
PUBLIC void FIELD_STRING_BASE::html_draw (int nof);
PROTECTED void FIELD::guisendprompt (void);
PROTECTED void FIELD::xulsendprompt (void);
PUBLIC void FIELD_STRING_BASE::gui_draw (int nof, SSTRINGS&);
PUBLIC void FIELD_STRING_BASE::xul_draw (int nof, SSTRINGS&);
PUBLIC VIRTUAL void FIELD::draw_helpdia (WINDOW *, int);
PUBLIC void FIELD::draw_helpdia_common (WINDOW *dialog, int nof);
PUBLIC void FIELD_STRING_BASE::draw_helpdia (WINDOW *dialog, int nof);
PUBLIC MENU_STATUS FIELD_STRING_BASE::gui_get (int nof,
	 const char *,
	 const char *);
PUBLIC char FIELD_STRING_BASE::getidprefix (void);
PUBLIC int FIELD_STRING_BASE::html_validate (int nof);
PUBLIC void FIELD::set_donotcheckold (void);
PUBLIC void DIALOG::set_donotcheckold (void);
PUBLIC void FIELD::draw (WINDOW *dialog,
	 int offset,
	 int start_line,
	 int end_line);
PUBLIC VIRTUAL void FIELD::setcursor (WINDOW *dialog, int);
PUBLIC VIRTUAL void FIELD::unselect (WINDOW *, int);
PUBLIC void FIELD_STRING_BASE::setcursor (WINDOW *dialog, int);
PUBLIC MENU_STATUS FIELD_STRING_BASE::dokey (WINDOW *dialog,
	 int key,
	 FIELD_MSG&,
	 bool&);
PUBLIC FIELD_SSTRING::FIELD_SSTRING (const char *_prompt,
	 SSTRING&_str,
	 int field_width);
PUBLIC void FIELD_SSTRING::save (void);
PUBLIC void FIELD_SSTRING::restore (void);
PUBLIC void FIELD_SSTRING::reload (const char *dianame, int nof);
PUBLIC void FIELD_SSTRING::html_draw (int nof);
PUBLIC FIELD_STRING *DIALOG::newf_str (const char *prompt,
	 char *str,
	 int maxsiz);
PUBLIC void DIALOG::newf_info (const char *prompt, const char *str);
PUBLIC FIELD_SSTRING *DIALOG::newf_str (const char *prompt,
	 SSTRING&str);
PUBLIC FIELD_SSTRING *DIALOG::newf_str (const char *prompt,
	 SSTRING&str,
	 int width);
PUBLIC FIELD_PASSWORD *DIALOG::newf_pass (const char *prompt,
	 SSTRING&str);
PUBLIC VIRTUAL const char *FIELD::return_prompt (void);
PUBLIC VIRTUAL const char *FIELD::get_registry_key (void);
PUBLIC VIRTUAL void FIELD::set_registry_key (const char *key);
PUBLIC const char *FIELD_STRING_BASE::get_registry_value (void);
PUBLIC void FIELD_STRING_BASE::set_registry_value (const char *value);
/* fldmisc.cc 06/04/2004 17.41.18 */
PUBLIC FIELD_IPNUM::FIELD_IPNUM (const char *_prompt, SSTRING&ip);
PUBLIC int FIELD_IPNUM::post_validate (void);
PUBLIC FIELD_SSTRING *DIALOG::newf_ipnum (const char *prompt,
	 SSTRING&ip);
/* fldnum.cc 03/05/2004 12.34.58 */
PUBLIC FIELD_NUM::FIELD_NUM (const char *_prompt,
	 double *_dblval,
	 int *_intval,
	 FLDNUM_TYPE _type,
	 int _nbdecimals);
PRIVATE bool FIELD_NUM::validchar (char car);
PROTECTED MENU_STATUS FIELD_NUM::dokey (WINDOW *w,
	 int key,
	 FIELD_MSG&msg,
	 bool&grab);
PUBLIC void FIELD_NUM::html_draw (int nof);
PUBLIC void FIELD_NUM::save (void);
PUBLIC void FIELD_NUM::restore (void);
PUBLIC void FIELD_NUM::reload (const char *dianame, int nof);
PUBLIC int FIELD_NUM::post_validate (void);
PUBLIC FIELD *DIALOG::newf_num (const char *prompt, int &val);
PUBLIC FIELD *DIALOG::newf_hexnum (const char *prompt, int &val);
PUBLIC FIELD *DIALOG::newf_octnum (const char *prompt, int &val);
PUBLIC FIELD *DIALOG::newf_dbl (const char *prompt,
	 double &val,
	 int nbdecimals);
PUBLIC FIELD_SLIDER::FIELD_SLIDER (const char *_prompt,
	 int &_val,
	 int _minval,
	 int _maxval);
PUBLIC void FIELD_SLIDER::gui_draw (int nof, SSTRINGS&tb);
PUBLIC FIELD *DIALOG::newf_slider (const char *prompt,
	 int &val,
	 int minval,
	 int maxval);
PUBLIC FIELD_GAUGE::FIELD_GAUGE (const char *_prompt,
	 int &_val,
	 int _range);
PUBLIC void FIELD_GAUGE::drawtxt (WINDOW *dialog, int , int , int);
PUBLIC void FIELD_GAUGE::html_draw (int);
PUBLIC void FIELD_GAUGE::gui_draw (int nof, SSTRINGS&);
PUBLIC FIELD *DIALOG::newf_gauge (const char *prompt,
	 int &val,
	 int range);
/* fstrhelp.cc 04/11/2002 20.39.40 */
PUBLIC FIELD_STRING_HELP::FIELD_STRING_HELP (const char *_prompt,
	 SSTRING&_str);
PUBLIC FIELD_STRING_HELP::FIELD_STRING_HELP (const char *_prompt,
	 SSTRING&_str,
	 int _maxsiz);
PUBLIC void FIELD_STRING_HELP::drawtxt (WINDOW *dialog,
	 int offset,
	 int start_line,
	 int end_line);
PUBLIC MENU_STATUS FIELD_STRING_HELP::dokey (WINDOW *dialog,
	 int key,
	 FIELD_MSG&msg,
	 bool&grab);
/* ftitle.cc 15/06/2004 13.27.00 */
PUBLIC FIELD_TITLE::FIELD_TITLE (const char *_pad,
	 int _level,
	 const char *_prompt,
	 const char *_str);
PUBLIC FIELD_TITLE::~FIELD_TITLE (void);
PUBLIC const char *FIELD_TITLE::getmenustr (void)const;
PUBLIC void FIELD_TITLE::drawtxt (WINDOW *win, int , int , int);
PUBLIC void FIELD_TITLE::html_draw (int);
PUBLIC void FIELD_TITLE::gui_draw (int nof, SSTRINGS&tb);
PUBLIC void FIELD_TITLE::popup_draw (int no, int &curlevel);
PUBLIC int FIELD_TITLE::getnotepadlevel (void)const;
PUBLIC int FIELD_TITLE::html_validate (int);
PUBLIC void DIALOG::newf_title (const char *pad,
	 int level,
	 const char *prompt,
	 const char *msg);
PUBLIC void DIALOG::newf_title (const char *prompt, const char *msg);
PUBLIC FIELD_HEAD::FIELD_HEAD (const char *_prompt,
	 const char *_msg,
	 bool _is_list,
	 int &_sel_column);
PROTECTED int FIELD_HEAD::getwidths (int tb[], int &reset);
PUBLIC void FIELD_HEAD::setwidths (int total_width, int tb[]);
PUBLIC void FIELD_HEAD::drawtxt (WINDOW *win, int offset, int , int);
PUBLIC void FIELD_HEAD::html_draw (int);
PUBLIC void FIELD_HEAD::gui_draw (int , SSTRINGS&tb);
PUBLIC VIRTUAL void DIALOG::newf_head (const char *prompt,
	 const char *msg);
PUBLIC void DIALOG_RECORDS::newf_head (const char *prompt,
	 const char *msg);
PUBLIC void DIALOG::set_column (int col);
/* guiid.cc 05/08/2001 23.44.14 */
PUBLIC GUI_RESOURCE::GUI_RESOURCE (char idletter, int &alloc);
PUBLIC FONT::FONT (int _pointsize,
	 GFONT_ID _fontid,
	 GFONT_STYLE _style,
	 GFONT_WEIGHT _weight,
	 bool _underlined);
PUBLIC FONT *FONTS::getitem (int no)const;
PUBLIC PEN::PEN (const char *_color, int _thick, GPEN_STYLE _style);
PUBLIC PEN *PENS::getitem (int no)const;
PUBLIC BRUSH::BRUSH (const char *_color, GBRUSH_STYLE _style);
PUBLIC BRUSH *BRUSHES::getitem (int no)const;
PUBLIC GUI_DC::GUI_DC (const char *_font,
	 const char *_pen,
	 const char *_brush);
PUBLIC GUI_DC *GUI_DCS::getitem (int no)const;
/* help_context.cc 13/11/2002 13.39.26 */
PUBLIC HELP_CONTEXT::HELP_CONTEXT (const char *title,
	 const char *subdir,
	 const char *file);
PUBLIC HELP_CONTEXT::~HELP_CONTEXT (void);
/* html.cc 10/08/2004 17.37.52 */
PRIVATE void DIALOG::html_draw_top (void);
PRIVATE void DIALOG::html_draw_intro (void);
PRIVATE void DIALOG::html_draw_fields (int nof);
PRIVATE void DIALOG::html_draw_form (int nof);
PRIVATE void DIALOG::html_draw_end (void);
PRIVATE void DIALOG::html_draw (DIALOG *spc, int nof);
PRIVATE void DIALOG::html_draw (int nof);
PRIVATE int DIALOG::html_validate (SSTRING&msg);
PUBLIC void BUTTONS_INFO::html_draw (void);
PRIVATE MENU_STATUS DIALOG::edithtml (int &nof);
/* inputbox.cc 08/02/2001 15.53.34 */
/* internal.cc 16/06/2004 12.17.28 */
/* isocnv.cc 06/09/1997 05.00.14 */
/* kbd.cc 06/04/2004 17.41.44 */
/* main.cc 26/09/1996 13.29.46 */
/* menubox.cc 15/06/2004 13.20.22 */
PUBLIC FIELD_MENU::FIELD_MENU (const char *_icon,
	 const char *_tag,
	 const char *_str);
PUBLIC FIELD_MENU::~FIELD_MENU (void);
PUBLIC void FIELD_MENU::format_htmlkey (char *key, int no);
PUBLIC void FIELD_MENU::setwidths (int total_width, int tb[]);
PROTECTED int FIELD_MENU::getwidths (int tb[], int &);
PUBLIC const char *FIELD_MENU::getmenustr (void)const;
PUBLIC const char *FIELD_MENU::getmenuicon (void)const;
PROTECTED void FIELD_MENU::save (void);
PROTECTED void FIELD_MENU::restore (void);
PROTECTED MENU_STATUS FIELD_MENU::dokey (WINDOW *,
	 int ,
	 FIELD_MSG&,
	 bool&);
PUBLIC void FIELD_MENU::drawgen (WINDOW *win,
	 bool selected,
	 int offset);
PUBLIC void FIELD_MENU::unselect (WINDOW *dialog, int offset);
PUBLIC void FIELD_MENU::setcursor (WINDOW *dialog, int offset);
PUBLIC void FIELD_MENU::drawtxt (WINDOW *dialog,
	 int offset,
	 int ,
	 int);
PUBLIC void FIELD_MENU::html_draw (int nof);
PUBLIC void FIELD_MENU::gui_draw (int nof, SSTRINGS&);
PUBLIC char FIELD_MENU::getidprefix (void);
PUBLIC void FIELD_MENU::popup_draw (int id, int &);
PUBLIC int FIELD_MENU::html_validate (int);
PRIVATE void DIALOG::fixwidth1 (void);
PUBLIC void DIALOG::new_menuline (const char *icon,
	 const char *prompt1,
	 const char *prompt2,
	 bool may_select);
PUBLIC void DIALOG::new_menuitem (const char *prompt1,
	 const char *prompt2);
PUBLIC void DIALOG::new_menuitem (const char *icon,
	 const char *prompt1,
	 const char *prompt2);
PUBLIC void DIALOG::set_menuitem (int no,
	 const char *prompt1,
	 const char *prompt2);
PUBLIC void DIALOG::new_menuinfo (const char *prompt1,
	 const char *prompt2);
PUBLIC void DIALOG::new_menuitem (const char *prompt1,
	 const SSTRING&prompt2);
PUBLIC void DIALOG::new_menuitem (const SSTRING&prompt1,
	 const SSTRING&prompt2);
PRIVATE void DIALOG::new_menuitem_parse (const char *item1,
	 const char *item2);
PUBLIC void DIALOG::new_menuitems (const char *items[], int item_no);
PUBLIC void DIALOG::new_menuitems (const char *opt[]);
PUBLIC const char *DIALOG::getmenustr (int choice);
PUBLIC void DIALOG::savewhat (const char *help);
PUBLIC void DIALOG::delwhat (const char *help);
PUBLIC void DIALOG::inswhat (const char *help);
PUBLIC void DIALOG::addwhat (const char *help);
PUBLIC VIRTUAL MENU_STATUS DIALOG::editmenu (const char *title,
	 const char *prompt,
	 HELP_FILE&helpfile,
	 int &sel,
	 int options);
PUBLIC VIRTUAL MENU_STATUS DIALOG_MENU::editmenu (const char *title,
	 const char *prompt,
	 HELP_FILE&helpfile,
	 int &sel,
	 int options);
PUBLIC void DIALOG_MENU::setmenu (MENU_CONTEXT ctx);
PUBLIC MENU_STATUS DIALOG_MENUPOPUP::editmenu (const char *title,
	 int &sel);
PUBLIC DIALOG_MENUPOPUP::DIALOG_MENUPOPUP (void);
/* modregister.cc 13/11/2002 14.43.16 */
PUBLIC MASTER_REGISTRY::MASTER_REGISTRY (void);
PUBLIC MASTER_REGISTRY::~MASTER_REGISTRY (void);
PUBLIC int MASTER_REGISTRY::add (REGISTER_VARIABLES_OBJ *obj);
PUBLIC REGISTER_VARIABLES_OBJ *MASTER_REGISTRY::getitem (int no)const;
PUBLIC const char *MASTER_REGISTRY::get (const char *_module,
	 const char *_key);
PUBLIC const char *MASTER_REGISTRY::get (const char *_key);
PUBLIC int MASTER_REGISTRY::getlist (const char *_module,
	 const char *_key,
	 SSTRINGS&tb);
PUBLIC int MASTER_REGISTRY::getlist (const char *_key, SSTRINGS&tb);
int MASTER_REGISTRY::lookup_index (const char *_module,
	 const char *_key);
int MASTER_REGISTRY::lookup_index (const char *_varname);
PRIVATE void MASTER_REGISTRY::flushrecord (void);
PRIVATE int MASTER_REGISTRY::parse (const char *_key,
	 SSTRING&module,
	 SSTRING&var,
	 SSTRING&subvar,
	 REGISTER_VARIABLES_OBJ *&vars);
PUBLIC int MASTER_REGISTRY::set (const char *_key, const char *_value);
PUBLIC int MASTER_REGISTRY::set (const char *_key,
	 const SSTRING&_value);
PUBLIC int MASTER_REGISTRY::set (const char *_key, int val);
int MASTER_REGISTRY::lookup_module_from_prompt (const char *_prompt);
PUBLIC int MASTER_REGISTRY::lookup_module (const char *_id);
const char *MASTER_REGISTRY::lookup_from_prompt (const char *_prompt,
	 const char *_dialog_id);
PUBLIC int MASTER_REGISTRY::retrieve (FIELD *field,
	 const char *dialog_id);
const char *MASTER_REGISTRY::retrieve_next (void);
const char *MASTER_REGISTRY::retrieve_value (void);
const char *MASTER_REGISTRY::retrieve_first (void);
int MASTER_REGISTRY::reregister_field (FIELD *field);
PUBLIC int MASTER_REGISTRY::register_field (FIELD *field,
	 const char *dialog_id);
PRIVATE void MASTER_REGISTRY::check_newmod (void);
PUBLIC int MASTER_REGISTRY::start_session (void);
PUBLIC bool MASTER_REGISTRY::in_session (void);
PUBLIC int MASTER_REGISTRY::end_session (void);
PUBLIC int MASTER_REGISTRY::rundialog (const char *_key);
PUBLIC int MASTER_REGISTRY::notice (FIELD *field,
	 const char *_dialog_id);
PUBLIC REGISTER_VARIABLES_OBJ::REGISTER_VARIABLES_OBJ (const char *_module_id);
PUBLIC REGISTER_VARIABLES_OBJ::~REGISTER_VARIABLES_OBJ (void);
PROTECTED VIRTUAL REGISTER_VARIABLE *REGISTER_VARIABLES_OBJ::create_registry (
	const char *_varname,
	 const char *_dialog_id,
	 const char *_prompt,
	 void (*_exec_dialog)(),
	 void (*_exec_dialog_record)(const char *record, bool setting));
PUBLIC REGISTER_VARIABLE *REGISTER_VARIABLES_OBJ::getitem (int no)const;
PUBLIC const char *REGISTER_VARIABLES_OBJ::get_module_id (void);
PUBLIC VIRTUAL int REGISTER_VARIABLES_OBJ::lookup_index (const char *_prompt);
PUBLIC VIRTUAL const char *REGISTER_VARIABLES_OBJ::get (const char *_key);
PUBLIC VIRTUAL int REGISTER_VARIABLES_OBJ::set (const char *_key,
	 const char *_value);
PUBLIC VIRTUAL int REGISTER_VARIABLES_OBJ::rundialog (const char *_key,
	 const char *_record);
PUBLIC VIRTUAL int REGISTER_VARIABLES_OBJ::notice (FIELD *,
	 const char *);
PUBLIC VIRTUAL FUNC_RECORD REGISTER_VARIABLES_OBJ::set (const char *_key,
	 const char *_record,
	 const char *_value);
PUBLIC VIRTUAL int REGISTER_VARIABLES_OBJ::lookup_var_index (const char *_key);
PUBLIC VIRTUAL const char *REGISTER_VARIABLES_OBJ::lookup_from_prompt (const
	 char *,
	 const char *);
PUBLIC VIRTUAL int REGISTER_VARIABLES_OBJ::retrieve (FIELD *field);
PUBLIC VIRTUAL const char *REGISTER_VARIABLES_OBJ::retrieve_next (void);
PUBLIC VIRTUAL const char *REGISTER_VARIABLES_OBJ::retrieve_value (void);
PUBLIC VIRTUAL const char *REGISTER_VARIABLES_OBJ::retrieve_first (void);
PUBLIC VIRTUAL int REGISTER_VARIABLES_OBJ::delete_varname (char *varname);
PUBLIC VIRTUAL int REGISTER_VARIABLES_OBJ::reregister_field (FIELD *);
PUBLIC VIRTUAL int REGISTER_VARIABLES_OBJ::register_field (FIELD *,
	 const char *);
PUBLIC VIRTUAL int REGISTER_VARIABLES_OBJ::start_session (void);
PUBLIC VIRTUAL int REGISTER_VARIABLES_OBJ::end_session (void);
REGISTER_VARIABLES_PRIVATE::REGISTER_VARIABLES_PRIVATE (void);
PUBLIC REGISTER_VARIABLES::REGISTER_VARIABLES (const char *_module_id,
	 REGISTER_VARIABLE_LOOKUP _tb[]);
PUBLIC REGISTER_VARIABLES::REGISTER_VARIABLES (const char *_module_id,
	 REGISTER_VARIABLE_LOOKUP_MSG _tb[]);
PUBLIC REGISTER_VARIABLES::REGISTER_VARIABLES (const char *_module_id,
	 PUBLISH_VARIABLES_MSG _tb[],
	 const char *_dialog_id,
	 void (*exec_dialog)());
PUBLIC REGISTER_VARIABLES::REGISTER_VARIABLES (const char *_module_id,
	 PUBLISH_VARIABLES_STR _tb[],
	 const char *_dialog_id,
	 void (*exec_dialog)());
PUBLIC REGISTER_VARIABLES::REGISTER_VARIABLES (const char *_module_id,
	 const char *_listname,
	 PUBLISH_VARIABLES_MSG _tb[],
	 const char *_dialog_id,
	 void (*exec_dialog_record)(const char *, bool),
	 void (*exec_list)(SSTRINGS&));
PUBLIC REGISTER_VARIABLES::REGISTER_VARIABLES (const char *_module_id,
	 const char *_listname,
	 PUBLISH_VARIABLES_STR _tb[],
	 const char *_dialog_id,
	 void (*exec_dialog_record)(const char *, bool),
	 void (*exec_list)(SSTRINGS&));
PRIVATE VIRTUAL void REGISTER_VARIABLES_OBJ::loadmsg (void);
PRIVATE void REGISTER_VARIABLES::loadmsg (void);
PUBLIC REGISTER_VARIABLE *REGISTER_VARIABLES::getitem (int no)const;
PUBLIC REGISTER_VARIABLES::~REGISTER_VARIABLES (void);
int REGISTER_VARIABLES::lookup_index (const char *_prompt);
int REGISTER_VARIABLES::lookup_var_index (const char *_varname);
const char *REGISTER_VARIABLES::get (const char *_varname);
const char *REGISTER_VARIABLES::lookup_from_prompt (const char *_prompt,
	 const char *_dialog_id);
int REGISTER_VARIABLES::retrieve (FIELD *field);
const char *REGISTER_VARIABLES::retrieve_next (void);
const char *REGISTER_VARIABLES::retrieve_value (void);
const char *REGISTER_VARIABLES::retrieve_first (void);
int REGISTER_VARIABLES::delete_varname (const char *varname);
int REGISTER_VARIABLES::reregister_field (FIELD *field);
int REGISTER_VARIABLES::register_field (FIELD *field,
	 const char *dialog_id);
PUBLIC int REGISTER_VARIABLES::start_session (void);
PUBLIC int REGISTER_VARIABLES::end_session (void);
int REGISTER_VARIABLES::set (const char *_key, const char *_value);
FUNC_RECORD REGISTER_VARIABLES::set (const char *_key,
	 const char *record,
	 const char *_value);
int REGISTER_VARIABLES::rundialog (const char *_key,
	 const char *_record);
PUBLIC VIRTUAL int REGISTER_VARIABLES::notice (FIELD *field,
	 const char *_dialog_id);
int REGISTER_VARIABLE::rundialog (const char *_record);
PUBLIC REGISTER_VARIABLE::REGISTER_VARIABLE (const char *_varname,
	 const char *_dialog_id,
	 const char *_prompt,
	 void (*_exec_dialog)(),
	 void (*_exec_dialog_record)(const char *record, bool setting));
PUBLIC int REGISTER_VARIABLE::getlistvar (SSTRING&var);
PUBLIC const char *REGISTER_VARIABLE::get_varname (void)const;
PUBLIC const char *REGISTER_VARIABLE::get_prompt (void)const;
const char *REGISTER_VARIABLE::get (const char *record);
PUBLIC const char *REGISTER_VARIABLE::getvalue (void);
const char *REGISTER_VARIABLE::get (void);
int REGISTER_VARIABLE::flush (void);
FUNC_RECORD REGISTER_VARIABLE::set (const char *record,
	 const char *_value);
PUBLIC bool REGISTER_VARIABLE::is_record (void)const;
PRIVATE void REGISTER_VARIABLE::setvalue (const char *_value);
int REGISTER_VARIABLE::set (const char *_value);
bool REGISTER_VARIABLE::has_been_set (void);
void REGISTER_VARIABLE::mark_unset (void);
bool REGISTER_VARIABLE::is_dirty (void);
void REGISTER_VARIABLE::mark_written (void);
bool REGISTER_VARIABLE::is_system (void);
void REGISTER_VARIABLE::set_not_system (void);
PUBLIC REGISTER_VARIABLE::~REGISTER_VARIABLE (void);
/* msgbox.cc 13/11/2002 13.47.52 */
/* multi.cc 25/08/2004 16.34.08 */
PRIVATE void DIALOG::setup (void);
PUBLIC void DIALOG::setoffset (int newoff);
PUBLIC int DIALOG::getoffset (void)const;
PROTECTED void DIALOG::drawf (WINDOW *dialog);
PRIVATE void DIALOG::processmsg (WINDOW *dialog, FIELD_MSG&msg);
PRIVATE void DIALOG::draw (WINDOW *dialog);
PRIVATE void DIALOG::drawarrow_if (WINDOW *win,
	 bool condition,
	 bool&flag,
	 bool top,
	 char carac);
PRIVATE void DIALOG::dokeyup (int &nof, WINDOW *dialog);
PRIVATE void DIALOG::dokeydown (int &nof, WINDOW *dialog);
PROTECTED VIRTUAL int DIALOG::keymove (WINDOW *dialog,
	 int key,
	 int &nof);
PRIVATE void DIALOG::skipprotect (int &nof,
	 int suggestkey,
	 WINDOW *dialog);
PUBLIC DIALOG::DIALOG (void);
PUBLIC DIALOG::~DIALOG (void);
PUBLIC void DIALOG::set_registry_id (const char *id);
PUBLIC void DIALOG::set_selected_button (int button);
PUBLIC void DIALOG::remove_all (void);
PUBLIC void DIALOG::setcontext (const char *s);
PUBLIC void DIALOG::set_button_on_side (void);
PROTECTED void DIALOG::add (FIELD *f);
PUBLIC void DIALOG::set_nextfield (int no);
PUBLIC int DIALOG::remove_del (FIELD *f);
PUBLIC void DIALOG::reset_guidone (void);
PUBLIC int DIALOG::remove_del (int no);
PUBLIC void DIALOG::remove_last (int cut);
PUBLIC void DIALOG::show (const char *_title,
	 const char *_intro,
	 HELP_FILE&helpfile,
	 int &nof,
	 int but_options);
PUBLIC MENU_STATUS DIALOG::edit (const char *_title,
	 const char *_intro,
	 HELP_FILE&helpfile,
	 int &nof,
	 int but_options);
PUBLIC MENU_STATUS DIALOG::edit (const char *_title,
	 const char *intro,
	 HELP_FILE&helpfile,
	 int &nof);
PUBLIC MENU_STATUS DIALOG::edit (const char *_title,
	 const char *intro,
	 HELP_FILE&helpfile);
/* pass.cc 06/04/2004 17.41.54 */
PUBLIC FIELD_DUMMY::FIELD_DUMMY (void);
PUBLIC void FIELD_DUMMY::set_registry_value (const char *);
PUBLIC const char *FIELD_DUMMY::get_registry_value (void);
PUBLIC void FIELD_DUMMY::drawtxt (WINDOW *, int , int , int);
PUBLIC MENU_STATUS FIELD_DUMMY::dokey (WINDOW *,
	 int ,
	 FIELD_MSG&,
	 bool&);
PUBLIC void FIELD_DUMMY::save (void);
PUBLIC void FIELD_DUMMY::restore (void);
PUBLIC void FIELD_DUMMY::reload (const char *, int);
PUBLIC void FIELD_DUMMY::html_draw (int);
PUBLIC void FIELD_DUMMY::xul_draw (int , SSTRINGS&);
PUBLIC MENU_STATUS FIELD_DUMMY::gui_get (int ,
	 const char *,
	 const char *);
PUBLIC char FIELD_DUMMY::getidprefix (void);
PUBLIC int FIELD_DUMMY::html_validate (int);
PUBLIC void FIELD_DUMMY::gui_draw (int , SSTRINGS&);
PUBLIC FIELD_PASSTHROUGH::FIELD_PASSTHROUGH (int _command,
	 const char *_args);
PUBLIC void FIELD_PASSTHROUGH::gui_draw (int , SSTRINGS&tb);
PUBLIC bool FIELD_PASSTHROUGH::is_passthrough (void);
PUBLIC void DIALOG::gui_passthrough (int command,
	 const char *args,
	 ...);
PUBLIC void DIALOG::gui_passthroughv (int command,
	 const char *args,
	 va_list list);
PUBLIC void DIALOG::newline (void);
PUBLIC void DIALOG::gui_labelv (const char *args, va_list list);
PUBLIC void DIALOG::gui_label (const char *ctl, ...);
PUBLIC void DIALOG::gui_end (void);
PUBLIC void DIALOG::gui_group (const char *title);
PUBLIC void DIALOG::gui_form (void);
PUBLIC void DIALOG::gui_groupfit (const char *title);
PUBLIC void DIALOG::gui_dispolast (GUI_H_DISPO dispoh,
	 int nbcellh,
	 GUI_V_DISPO dispov,
	 int nbcellv);
PUBLIC FIELD_FLAGS::FIELD_FLAGS (unsigned _flags);
PUBLIC VIRTUAL bool FIELD::getflags (unsigned &);
PUBLIC bool FIELD_FLAGS::getflags (unsigned &_flags);
PUBLIC void DIALOG::auto_newline (bool mode);
/* private_msg.cc 22/11/2002 10.56.12 */
PUBLIC PRIVATE_MESSAGE::~PRIVATE_MESSAGE (void);
PUBLIC PRIVATE_MESSAGE *PRIVATE_MESSAGES::getitem (int no)const;
/* radio.cc 03/05/2004 15.00.44 */
PUBLIC FIELD_RADIO::FIELD_RADIO (const char *_prompt,
	 char &_var,
	 char _instance_val,
	 const char *_title);
PUBLIC FIELD_RADIO::~FIELD_RADIO (void);
PUBLIC void FIELD_RADIO::drawtxt (WINDOW *dialog, int , int , int);
PRIVATE FIELD_RADIO *FIELD_RADIO::locate_key (char *key);
PUBLIC void FIELD_RADIO::html_draw (int);
PUBLIC void FIELD_RADIO::reload (const char *dianame, int nof);
PUBLIC void FIELD_RADIO::gui_draw (int _nof, SSTRINGS&);
PUBLIC MENU_STATUS FIELD_RADIO::gui_get (int ,
	 const char *,
	 const char *);
PUBLIC char FIELD_RADIO::getidprefix (void);
PUBLIC int FIELD_RADIO::html_validate (int);
PUBLIC MENU_STATUS FIELD_RADIO::dokey (WINDOW *,
	 int key,
	 FIELD_MSG&msg,
	 bool&);
PROTECTED void FIELD_RADIO::processmsg (WINDOW *dialog,
	 FIELD_MSG&msg,
	 int drawok);
PUBLIC FIELD_RADIO *DIALOG::newf_radio (const char *prompt,
	 char &var,
	 char instance_val,
	 const char *title);
PUBLIC FIELD_RADIO *DIALOG::newf_radio (const char *prompt,
	 unsigned char &var,
	 unsigned char instance_val,
	 const char *title);
/* rc.cc 01/08/1996 00.00.04 */
/* samples.cc 09/06/2004 15.35.00 */
/* sheet.cc 03/05/2004 12.41.30 */
PUBLIC FIELD_SHEET::FIELD_SHEET (const char *prompt,
	 const char *_titles[],
	 SSTRINGS&_rows);
PUBLIC void FIELD_SHEET::set_registry_value (const char *);
PUBLIC const char *FIELD_SHEET::get_registry_value (void);
PUBLIC void FIELD_SHEET::drawtxt (WINDOW *, int , int , int);
PUBLIC MENU_STATUS FIELD_SHEET::dokey (WINDOW *,
	 int ,
	 FIELD_MSG&,
	 bool&);
PUBLIC void FIELD_SHEET::save (void);
PUBLIC void FIELD_SHEET::restore (void);
PUBLIC void FIELD_SHEET::reload (const char *, int);
PUBLIC void FIELD_SHEET::xul_draw (int nof, SSTRINGS&);
PUBLIC void FIELD_SHEET::html_draw (int nof);
PUBLIC char FIELD_SHEET::getidprefix (void);
PUBLIC int FIELD_SHEET::html_validate (int nof);
PUBLIC void FIELD_SHEET::gui_draw (int nof, SSTRINGS&);
PUBLIC MENU_STATUS FIELD_SHEET::gui_get (int nof,
	 const char *,
	 const char *);
PUBLIC void DIALOG::newf_sheet (const char *prompt,
	 const char *titles[],
	 SSTRINGS&tb);
/* term.cc 15/06/2004 12.23.38 */
PRIVATE void DIALOG::showtimeout (WINDOW *win);
PRIVATE void DIALOG::showterm (int &nof, int but_options);
PRIVATE MENU_STATUS DIALOG::editterm (int &nof, int but_options);
PUBLIC INTERCEPT::INTERCEPT (int _key, PRIVATE_MESSAGE&_msg);
PUBLIC void DIALOG::add_intercept (int key, PRIVATE_MESSAGE&msg);
/* textarea.cc 10/08/2004 17.30.20 */
PUBLIC FIELD_TEXTAREA::FIELD_TEXTAREA (const char *prompt,
	 SSTRING&_text,
	 int _width,
	 int height);
PRIVATE void FIELD_TEXTAREA::setbuf (const char *s);
PUBLIC void FIELD_TEXTAREA::set_registry_value (const char *v);
PUBLIC const char *FIELD_TEXTAREA::get_registry_value (void);
PROTECTED void FIELD_TEXTAREA::setcursor (WINDOW *dialog, int);
PUBLIC void FIELD_TEXTAREA::drawtxt (WINDOW *dialog,
	 int ,
	 int _start_line,
	 int _end_line);
PROTECTED int FIELD_TEXTAREA::line_length (int line);
PROTECTED int FIELD_TEXTAREA::insert_point (void);
PROTECTED void FIELD_TEXTAREA::clearall (WINDOW *dialog);
PROTECTED bool FIELD_TEXTAREA::move_cursor (cursor_dir dir);
PROTECTED void FIELD_TEXTAREA::insert_string (char *str);
PROTECTED void FIELD_TEXTAREA::insert_char (char c);
PUBLIC MENU_STATUS FIELD_TEXTAREA::dokey (WINDOW *dialog,
	 int key,
	 FIELD_MSG&msg,
	 bool&grab);
PUBLIC void FIELD_TEXTAREA::save (void);
PUBLIC void FIELD_TEXTAREA::restore (void);
PUBLIC void FIELD_TEXTAREA::reload (const char *dianame, int nof);
PROTECTED void FIELD_TEXTAREA::sendlines (void);
PUBLIC void FIELD_TEXTAREA::html_draw (int nofield);
PUBLIC void FIELD_TEXTAREA::xul_draw (int , SSTRINGS&);
PUBLIC void FIELD_TEXTAREA::gui_draw (int nofield, SSTRINGS&);
PUBLIC MENU_STATUS FIELD_TEXTAREA::gui_get (int nofield,
	 const char *,
	 const char *);
PUBLIC char FIELD_TEXTAREA::getidprefix (void);
PUBLIC int FIELD_TEXTAREA::html_validate (int nof);
PUBLIC void DIALOG::newf_textarea (const char *prompt,
	 SSTRING&text,
	 int width,
	 int height);
/* textbox.cc 04/06/2003 23.42.44 */
PUBLIC FIELD_TEXTBOX::FIELD_TEXTBOX (const char *_prompt,
	 const char *_buf);
PUBLIC void FIELD_TEXTBOX::drawtxt (WINDOW *dialog,
	 int hoffset,
	 int ,
	 int);
PUBLIC void FIELD_TEXTBOX::html_draw (int);
PUBLIC int FIELD_TEXTBOX::html_validate (int);
PUBLIC void FIELD_TEXTBOX::gui_draw (int , SSTRINGS&);
PUBLIC DIALOG_TEXTBOX::DIALOG_TEXTBOX (void);
PROTECTED int DIALOG::keymove_scroll (WINDOW *dialog,
	 int key,
	 int &nof);
PROTECTED int DIALOG_TEXTBOX::keymove (WINDOW *dialog,
	 int key,
	 int &nof);
PUBLIC void DIALOG_TEXTBOX::newf_text (const char *prompt,
	 const char *buftab);
PUBLIC void DIALOG_TEXTBOX::newf_text (const char *,
	 const SSTRINGS&strs);
/* uithread.cc 13/11/2002 13.23.58 */
/* varval.cc 25/06/2002 16.50.04 */
PUBLIC HTML_VARVAL::HTML_VARVAL (const char *key);
PUBLIC void HTML_VARVAL::add (const char *var, const char *val);
PUBLIC int HTML_VARVAL::getnb (void);
PUBLIC const char *HTML_VARVAL::getval (const char *var, bool&exist);
PUBLIC const char *HTML_VARVAL::getval (int no);
PUBLIC const char *HTML_VARVAL::getvar (int no);
PUBLIC int HTML_VARVAL::exist (const char *var);
PUBLIC const char *HTML_VARVAL::getcontext (void);
PUBLIC int HTML_VARVAL::getid (void);
/* xul.cc 05/11/2003 12.02.36 */
PROTECTED void DIALOG::showxul (int nof, int but_options);
/* yesno.cc 21/06/2000 21.40.22 */
