/* _dict.cc 29/05/2000 22.21.34 */
/* kernelconf.cc 27/03/2002 14.44.36 */
PUBLIC MODULE_kernelconf::MODULE_kernelconf (void);
PUBLIC void MODULE_kernelconf::setmenu (DIALOG&dia,
	 MENU_CONTEXT context);
PUBLIC int MODULE_kernelconf::domenu (MENU_CONTEXT context,
	 const char *key);
PUBLIC int MODULE_kernelconf::dohtml (const char *key);
PUBLIC int MODULE_kernelconf::probe (int level, int runlevel, bool sim);
PUBLIC int MODULE_kernelconf::message (const char *msg,
	 int argc,
	 const char *argv[]);
PUBLIC void MODULE_kernelconf::usage (SSTRINGS&tb);
PUBLIC int MODULE_kernelconf::execmain (int argc,
	 char *argv[],
	 bool);
/* kernelconf_edit.cc 10/12/2002 16.11.26 */
/* sysctl.cc 10/12/2002 16.14.14 */
PRIVATE char *SYSCTL::dot_to_slash (const char *var);
PRIVATE char *SYSCTL::slash_to_dot (const char *var);
PUBLIC SYSCTL::SYSCTL (void);
PUBLIC SYSCTL::~SYSCTL (void);
PUBLIC bool SYSCTL::probe (const char *var);
PUBLIC const char *SYSCTL::get_from_file (const char *var);
PUBLIC const char *SYSCTL::get_from_sys (const char *var);
PUBLIC const char *SYSCTL::get (const char *var);
PUBLIC void SYSCTL::set_to_file (const char *var, const char *val);
PUBLIC void SYSCTL::set_to_file (const char *var, unsigned val);
PUBLIC void SYSCTL::set_to_sys (const char *var, const char *val);
PUBLIC void SYSCTL::set_to_sys (const char *var, unsigned val);
PUBLIC void SYSCTL::set (const char *var, const char *val);
PUBLIC void SYSCTL::erase (const char *var);
