#ifndef ACCTEXTRA_API_H
#define ACCTEXTRA_API_H

#include <module_apis/vregistry_apidef.h>
static const char VREGISTRY_API_KEY[]="vregistry";
static const int  VREGISTRY_API_REV=1;

inline VREGISTRY_API *vregistry_api_init(const char *client)
{
	return (VREGISTRY_API*)module_get_api (VREGISTRY_API_KEY,VREGISTRY_API_REV
		,client);
}

inline void vregistry_api_end(VREGISTRY_API *api)
{
	module_release_api (VREGISTRY_API_KEY,(void*)api);
}

inline bool vregistry_api_available(const char *client)
{
	return module_api_available (VREGISTRY_API_KEY,VREGISTRY_API_REV,client);
}


#endif

