/*
	Sample password generator.
*/
#include <stdio.h>

int main (int argc, char *argv[])
{
	FILE *fin = fopen ("/dev/urandom","r");
	if (fin != NULL){
		for (int i=0; i<5; i++){
			char buf[6];
			// We generate 6 character password composed of
			// one letter, one number, one letter, one number and so on
			// It should be hard to guess and hopefully possible
			// to remember
			if (fread (buf,1,6,fin)==6){
				char passwd[7];
				for (int i=0; i<6; i++){
					char carac;
					if (i & 1){
						carac = (buf[i] % 10) + '0';
					}else{
						carac = (buf[i] % 26) + 'a';
					}
					passwd[i] = carac;
				}
				passwd[6] = '\0';
				printf ("%s\n",passwd);
			}	
		}
		fclose (fin);
	}
	return 0;
}

